API7 Docs
API7 GatewayAPI7 Enterprise Admin APIsGet a contact point

Get a contact point

GET /api/contact_points/{contact_point_id}

GET /api/contact_points/{contact_point_id}

Interactive request editor loads with JavaScript.

Authorization

X-API-KEY<token>

In: header

Path Parameters

contact_point_id*string

Contact point ID.

Match^[a-zA-Z0-9-_.]+$
Length1 <= length <= 256

Response Body

application/json

application/json

curl -X GET "$API_BASE_URL/api/contact_points/bd58fce2-b6cc-4d2d-a53c-6ce11b19c101"

Successfully retrieved the contact point.

{
  "value": {
    "name": "cp-docs-test",
    "desc": "Object description.",
    "labels": {
      "version": "v2",
      "env": "prod"
    },
    "type": "email",
    "email_config": {
      "email": [
        "user@example.com"
      ]
    },
    "id": "bd58fce2-b6cc-4d2d-a53c-6ce11b19c101",
    "created_at": 1742288232,
    "updated_at": 1742288235
  }
}
Complete operation details and schema variants

GET /api/contact_points/{contact_point_id}

Get a contact point

Retrieve details of a specific contact point, including its configuration and metadata. Use this before updating or validating notification settings.

Required IAM Permission: Action iam:GetContactPoint, Resource arn:api7:iam:contactpoint/%s

Parameters

  • contact_point_id (path, string, required): Contact point ID.

Responses

  • 200: Successfully retrieved the contact point.
  • allOf variant 1
  • value (object, optional): The specific resource.
  • allOf variant 2
  • value (object, optional):
  • allOf variant 1
  • allOf variant 1
  • value.name (string, optional): Name of the contact point.
  • value.desc (string, optional): The object description.
  • value.labels (object, optional): Key-value pairs of labels.
  • allOf variant 2
  • oneOf variant 1: Email
  • value.type (string, optional): Type of contact point.
  • value.email_config (object, required): Contact point email configurations.
  • value.email_config.email (array, optional):
  • oneOf variant 2: Webhook
  • value.type (string, optional): Type of contact point.
  • value.webhook_config (object, required): Contact point webhook configurations.
  • value.webhook_config.ssl_verify (boolean, optional): If true, perform SSL verification.
  • value.webhook_config.url (string, optional): Webhook URL.
  • value.webhook_config.method (string, optional): HTTP method of the webhook request.
  • value.webhook_config.headers (array, optional): Extra HTTP headers to take when sending requests.
  • value.webhook_config.headers[].name (string, required):
  • value.webhook_config.headers[].value (string, required):
  • allOf variant 2
  • value.id (string, optional): The object ID.
  • value.created_at (integer, optional): The object created timestamp.
  • value.updated_at (integer, optional): The object updated timestamp.
  • 400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
  • value (object, optional): The specific resource.
  • error_msg (string, optional): The error message.

cURL

curl -X GET '$API_BASE_URL/api/contact_points/{contact_point_id}'